package com.chaozhanggui.dao.system.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.chaozhanggui.dao.system.model.CashStatus;

import java.beans.Transient;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.LinkedHashMap;
import java.util.LinkedList;
import java.util.Map;

public class TbPlussUserPromotion implements Serializable {
    private Integer userId;

    private String typeCode;

    private BigDecimal currentFee;

    private String parentUserId;


    private String isExtend;

    private Date createTime;

    private Date updateTime;

    @TableField
    private String loginName;


    @TableField(exist = false)
    private LinkedList<CashStatus> cashStatus;

    private static final long serialVersionUID = 1L;

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getTypeCode() {
        return typeCode;
    }

    public void setTypeCode(String typeCode) {
        this.typeCode = typeCode == null ? null : typeCode.trim();
    }

    public BigDecimal getCurrentFee() {
        return currentFee;
    }

    public void setCurrentFee(BigDecimal currentFee) {
        this.currentFee = currentFee;
    }

    public String getParentUserId() {
        return parentUserId;
    }

    public void setParentUserId(String parentUserId) {
        this.parentUserId = parentUserId == null ? null : parentUserId.trim();
    }

    public String getIsExtend() {
        return isExtend;
    }

    public void setIsExtend(String isExtend) {
        this.isExtend = isExtend == null ? null : isExtend.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public LinkedList<CashStatus> getCashStatus() {
        return cashStatus;
    }

    public void setCashStatus(LinkedList<CashStatus> cashStatus) {
        this.cashStatus = cashStatus;
    }

    public String getLoginName() {
        return loginName;
    }

    public void setLoginName(String loginName) {
        this.loginName = loginName;
    }
}